package com.mortals.xhx.module.sst.service.impl;
import com.mortals.framework.common.Rest;
import com.mortals.framework.model.PageInfo;
import com.mortals.xhx.base.system.user.model.UserEntity;
import com.mortals.xhx.base.system.user.service.UserService;
import com.mortals.xhx.common.code.YesNoEnum;
import com.mortals.xhx.common.pdu.user.UserPdu;
import com.mortals.xhx.feign.user.IUserFeign;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.sst.dao.SstAgreementDao;
import com.mortals.xhx.module.sst.model.SstAgreementEntity;
import com.mortals.xhx.module.sst.service.SstAgreementService;

import java.util.List;

/**
* SstAgreementService
* 协议管理 service实现
*
* @author zxfei
* @date 2022-12-21
*/
@Service("sstAgreementService")
public class SstAgreementServiceImpl extends AbstractCRUDServiceImpl<SstAgreementDao, SstAgreementEntity, Long> implements SstAgreementService {

    @Autowired
    private IUserFeign userFeign;
    @Autowired
    private UserService userService;

    @Override
    protected void findAfter(SstAgreementEntity params, PageInfo pageInfo, Context context, List<SstAgreementEntity> list) throws AppException {
        if(CollectionUtils.isNotEmpty(list)){
            list.stream().forEach(item->{
                if(item.getUpdateUserId()!=null) {
//                    Rest<UserPdu> resp = userFeign.info(item.getUpdateUserId());
//                    if (resp.getCode() == YesNoEnum.YES.getValue()) {
//                        item.setUpdateUserName(resp.getData().getRealName());
//                    }
                    UserEntity userEntity = userService.get(item.getUpdateUserId());
                    if(userEntity!=null){
                        item.setUpdateUserName(userEntity.getRealName());
                    }
                }
            });
        }
    }
}